<?php

namespace ISYS\UBRIR;

class OpencartAutoLoader
{
    public static function register($class)
    {
        // UBRIR.Core namespace prefix
        $prefix = 'ISYS\\UBRIR\\';

        // does the class use the namespace prefix?
        $len = strlen($prefix);
        if (strncmp($prefix, $class, $len) !== 0) {
            // no, move to the next registered autoloader
            return;
        }

        $base_dir = dirname(__FILE__) . '/';

        // get the relative class name
        $relative_class = substr($class, $len);

        // replace the namespace prefix with the base directory, replace namespace
        // separators with directory separators in the relative class name, append
        // with .php
        $file = $base_dir . '/' . str_replace('\\', '/', $relative_class) . '.php';

        // if the file exists, require it
        if (file_exists($file)) {
            require $file;
        }
    }
}

spl_autoload_register('ISYS\UBRIR\OpencartAutoLoader::register');