<?php
/**
 * Created by PhpStorm.
 * User: Alexander
 * Date: 26.10.2017
 * Time: 14:23
 */

namespace UBRIR;


class Reconcile
{
    public function __construct(InterfaceConnectionConfig $connector)
    {
        Core::GetCore()->PlugInCMSConnector($connector);
    }

    public function GetReconcilePage()
    {
        $ubrirReconcile = $this;

        $arReconcile = Array();
        $isShowingReconcileResult = false;

        if (isset($_REQUEST['forceRunReconcile']) && $_REQUEST['forceRunReconcile'] == 1) {
            $resultData = $this->GetReconcile();
            $arResultArray = $resultData->GetResultArray();
            $arReconcile = $arResultArray['reconcile'];
            $isShowingReconcileResult = true;

            //TODO: Сохранять данные последней сверки
        }

        $view_data = Array(
            'ubrirReconcile' => $ubrirReconcile,
            'isShowingReconcileResult' => $isShowingReconcileResult,
            'reconcile' => $arReconcile
        );

        $result = Core::GetCore()->IncludeTemplate('view.reconcile', $view_data);

        return $result;
    }


    private function RetrieveReconcile()
    {
        $responseData = ServerConnector::Reconcile($this);
        if ($responseData->isSuccess()) {
            $reconcileParsedResponse = Array();

            $totals = $responseData->XMLNestedFields->Response->Totals;
            $reconcileParsedResponse['reconcilation'] = strval($responseData->XMLNestedFields->Response->Reconcilation[0]);
            $reconcileParsedResponse['debit'] = Array(
                'count' => intval($totals->Debit->Count[0]),
                'total_amount_formated' => number_format(((int)$totals->Debit->Amount[0]) / 100, 2, '.', ''),
                'total_amount' => ((float)$totals->Debit->Amount[0]) / 100
            );

            $reconcileParsedResponse['credit'] = Array(
                'count' => intval($totals->Credit->Count[0]),
                'total_amount_formated' => number_format(((int)$totals->Credit->Amount[0]) / 100, 2, '.', ''),
                'total_amount' => ((float)$totals->Credit->Amount[0]) / 100
            );

            $responseData->SetParsedResponse($reconcileParsedResponse, 'reconcile');
            $responseData->CopyFieldsToResultArray();
        }
        return $responseData;
    }

    public function GetReconcile()
    {
        $responseData = $this->RetrieveReconcile();
        if (!$responseData->isSuccess()) {
            $shopId = $this->GetShopId();
            $operation = $responseData->getFieldValue('Operation');
            if (strpos($operation, '!=') !== false && strpos($operation, $shopId) !== false) {
                $responseData->AddError('Заказ был оформлен с другим номером ИМ');
            }
        }

        return $responseData;
    }


}