<?php

/** @var \UBRIR\NewCertificates $ubrirCertificateGenerator */
/** @var \UBRIR\DataContainer $generationStatusData */
/** @var string $resultText */
/** @var string $newCertificatePassword */
/** @var boolean $showForm */
/** @var array $arCountryList */
/** @var array $arRuRegionsList */
/** @var array $arRuCityList */
?>

<div class="isys_ubrir_container">
    <div class="resultContainer">
        <?= $resultText ?>
    </div>

    <? if ($showForm): ?>
        <form name="newCertificateRequest" method="POST">
            <input type="hidden" name="form_type" value="newCertificateRequest"/>
            <div class="fieldBlock organization">
                <input name="organization" value="<?= !empty($organization) ? $organization : '' ?>"
                       placeholder="Например: Компания" required/>
                <label for="organization">Название организации</label>
            </div>

            <div class="fieldBlock from_email">
                <input type="email" name="from_email" value="<?= !empty($from_email) ? $from_email : '' ?>"
                       placeholder="Например: admin@site.ru" required>
                <label for="division">E-mail ответственного лица</label>
            </div>

            <div class="fieldBlock merchantId">
                <? if (!empty($shopId)): ?>
                <input readonly id="merchant_id" name="merchant_id" value="<?= $shopId ?>"/>
                <label for="merchant_id">Номер ретейлера</label>
                <div class="inputHelp">Задан в настройках модуля!
                    <a <?= $ubrirCertificateGenerator->GetNavigator()->GetSettingsLinkAttributes() ?>>
                        Открыть настройки для изменения
                    </a>
                    <? else: ?>
                        <input id="merchant_id" name="merchant_id" required/>
                        <label for="merchant_id">Номер ретейлера</label>
                        <div class="inputHelp">Указан в договоре</div>
                    <? endif ?>
                </div>

                <div class="fieldBlock password">
                    <input id="certificate_password" name="password"
                           value="<?= !empty($password) ? $password : $newCertificatePassword ?>" required/>
                    <label for="certificate_password">Пароль к сертификату</label>
                </div>

                <div class="fieldBlock country">
                    <input name="country" value="<?= !empty($country) ? $country : '' ?>" placeholder="Например: Россия"
                           list="dl-ru-country-list" required/>
                    <label for="country">Страна</label>
                    <datalist id="dl-ru-country-list">
                        <? foreach ($arCountryList as $country => $countryCode): ?>
                            <option value="<?= $country ?>"><?= $countryCode ?></option>
                        <? endforeach ?>
                    </datalist>
                </div>

                <div class="fieldBlock region">
                    <input name="region" value="<?= !empty($region) ? $region : '' ?>" list="dl-ru-region-list"
                           placeholder="Регион, например Свердловская область" required/>
                    <label for="region">Регион</label>

                    <datalist id="dl-ru-region-list">
                        <? foreach ($arRuRegionsList as $regionTitle => $regionCode): ?>
                            <option value="<?= $regionTitle ?>"><?= $regionCode ?></option>
                        <? endforeach ?>
                    </datalist>
                </div>

                <div class="fieldBlock city">
                    <input name="city" value="<?= !empty($city) ? $city : '' ?>" placeholder="Например: Екатеринбург"
                           list="dl-ru-city-list" required/>
                    <label for="city">Город</label>
                    <datalist id="dl-ru-city-list">
                        <? foreach ($arRuCityList as $cityTitle): ?>
                            <option><?= $cityTitle ?></option>
                        <? endforeach ?>
                    </datalist>
                </div>

                <input type="submit" name="submit" value="Готово">
        </form>
    <? else: ?>
        <?
        if ($generationStatusData->isSuccess()) {
            $certificateUploadAttributes = $ubrirCertificateGenerator->GetNavigator()->GetCertificateUploadLinkAttributes();
            ?>
            После получения сертификата на почту отвественного лица его необходимо будет загрузить на сервер используя раздел
            <a <?= $certificateUploadAttributes ?>>Загрузка .pem сертификата</a>
            <?
        } else {
            ?>
            Обратитесь к хостеру для устранения проблем с отправкой писем и повторите попытку.
            <?
        }

        $diagnosticLinkAttributes = $ubrirCertificateGenerator->GetNavigator()->GetDiagnosticLinkAttributes();
        ?>
        <a <?= $diagnosticLinkAttributes ?>>Вернуться на главную страницу модуля</a>
    <? endif ?>
</div>