<?php

/** @var \UBRIR\Diagnostics $ubrirDiagnostic * */
?>
<div class="isys_ubrir_container">
    <? if ($ubrirDiagnostic->isTestModeEnabled()): ?>
        <div class="workMode param">
            <div class="paramValue error">Включен режим отладки</div>
        </div>
    <? endif ?>
    <div class="shopId param">
        <?
        $shopId = $ubrirDiagnostic->GetShopId();

        if ($shopId) {
            ?><span class="paramValue success">Номер ретейлера: <?= $shopId ?></span><?
        } else {
            ?><span class="paramValue error">В настройках модуля не указан номер ретейлера!</span><?
        }
        ?>
    </div>
    <div class="certificates">
        <div class="publicCertificate param">
            <? $publicCertificatePath = $ubrirDiagnostic->GetPublicCertificatePath();

            if ($publicCertificatePath !== false) {
                ?>
                <div class="paramValue success">Публичный сертификат:
                    <div class="file_path"><?= $publicCertificatePath ?></div>
                </div>
                <?
            } else { //Сертификат не найден - подсказки куда ложить и что искать
                $publicCertificateDir = $ubrirDiagnostic->GetPublicCertificateDir();
                $validFileNames = $ubrirDiagnostic->GetValidPublicCertFileNames();
                ?>
                <div class="paramValue error">Не найдена публичная часть сертификата! Проверяемая директория:
                    <div class="file_path"><?= $publicCertificateDir ?></div>
                    <p class="comment">Допустимые имена публичного сертификата:</p>
                    <ul class="file_list">
                        <li><?= implode("<li>", $validFileNames) ?></ul>

                </div>
                <?
            }
            ?>

        </div>
        <div class="privateCertificate param">
            <? $privateCertificatePath = $ubrirDiagnostic->GetPrivateCertificatePath(); ?>
            <? if ($privateCertificatePath !== false) {
                ?>
                <div class="paramValue success">Приватный сертификат:
                    <div class="file_path"><?= $publicCertificatePath ?></div>
                </div>
                <?
                $certificateExpireCheckClass = !$ubrirDiagnostic->isCertificateExpired() ? 'success' : 'error';
                $certificateCreateDate = $ubrirDiagnostic->GetCertificateCreateDate();
                ?>
                <div class="paramValue certificateCreateDate <?= $certificateExpireCheckClass ?>">
                    Дата последней генерации сертификатов:
                    <span class="dateTime"><?= $certificateCreateDate ?></span>
                    <?
                    if ($ubrirDiagnostic->isCertificateExpired()) {
                        $certificateGenerateUrl = $ubrirDiagnostic->GetNavigator()->GetCertificateGenerateLinkAttributes();
                        ?>
                        <p>Срок действия сертификатов подходит к концу - рекомендуем
                            <a <?= $certificateGenerateUrl ?>>перевыпустить сертификаты</a>
                        </p>
                        <?
                    }
                    ?>
                </div>
                <?
            } else {
                $newPrivateCertificateFound = $ubrirDiagnostic->isNewPrivateCertificateFound();
                if ($newPrivateCertificateFound):?>
                    <div class="paramValue success">
                        Найден новый сгененированный приватный ключ без публичной части.
                        <div class="message">
                            Если вы получили публичную часть ключа (user.pem) от банка
                            <a <?= $ubrirDiagnostic->GetNavigator()->GetCertificateUploadLinkAttributes() ?>>загрузите
                                ее</a>
                        </div>
                    </div>
                <? else: ?>
                    <?
                    $privateCertificateDir = $ubrirDiagnostic->GetPrivateCertificateDir();
                    $validFileNames = $ubrirDiagnostic->GetValidPrivateCertFileNames();
                    ?>
                    <div class="paramValue error">Не найдена публичная часть сертификата! Проверяемая директория:
                        <div class="file_path"><?= $privateCertificateDir ?></div>
                        <p class="comment">Допустимые имена публичного сертификата:</p>
                        <ul class="file_list">
                            <li><?= implode("<li>", $validFileNames) ?></ul>

                    </div>
                <? endif ?>
                <?
            } ?>
        </div>
        <?
        if (!$publicCertificatePath || !$privateCertificatePath) {
            $publicCertificateDir = $ubrirDiagnostic->GetPublicCertificateDir();
            $certificateRelPath = substr($publicCertificateDir, strlen($_SERVER['DOCUMENT_ROOT']));

            $certificateGenerateAttributes = $ubrirDiagnostic->GetNavigator()->GetCertificateGenerateLinkAttributes();
            $certificateFileManagerLinkAttributes = $ubrirDiagnostic->GetNavigator()->GetFileManagerLinkAttributes($certificateRelPath);
            ?>
            <div class="certificateControls">
                <a <?= $certificateGenerateAttributes ?>>Сгенерировать сертификаты</a>
                <?
                if ($certificateFileManagerLinkAttributes !== false): ?>
                    или
                    <a <?= $certificateFileManagerLinkAttributes ?>>загрузить сертификаты с компьютера</a>
                <? endif ?>
            </div>
            <?
        }
        ?>

    </div>
    <div class="log param">
        <? $logErrors = $ubrirDiagnostic->GetLogErrorsCount(); ?>
        <div class="paramValue <?= ($logErrors > 0) ? 'error' : 'success' ?>">
            <? if ($logErrors > 0): ?>
                Неудавшихся операций в логе:<?= $logErrors ?>!
            <? else: ?>
                Ошибок в логе не обнаружено.
            <? endif ?>
        </div>
        <div class="logControls">
            <? $viewLogAttributes = $ubrirDiagnostic->GetNavigator()->GetViewLogLinkAttributes(); ?>
            <a <?= $viewLogAttributes ?>>Просмотр лога</a>
        </div>
    </div>
    <hr/>
    <div class="adminControls">
        <?
        $moduleSettingsLinkAttributes = $ubrirDiagnostic->GetNavigator()->GetSettingsLinkAttributes();
        $paymentSettingsLinkAttributes = $ubrirDiagnostic->GetNavigator()->GetPaymentSettingsLinkAttributes();
        ?>
        <div class="moduleSettings">
            <a <?= $moduleSettingsLinkAttributes ?>>Открыть настройки модуля обмена с платежным шлюзом</a>
        </div>
        <? if ($paymentSettingsLinkAttributes !== false): ?>
            <div class="paymentSettings">
                <a <?= $paymentSettingsLinkAttributes ?>>Открыть настройки платежной системы УБРиР</a>
            </div>
        <? endif ?>
    </div>
</div>


